summaryrefslogtreecommitdiffstats
path: root/x11-plugins/wmauda
diff options
context:
space:
mode:
authorSuren A. Chilingaryan <csa@suren.me>2019-09-01 00:00:32 +0200
committerSuren A. Chilingaryan <csa@suren.me>2019-09-01 00:00:32 +0200
commitca9627e70852f6b2e835660df870fe3ab405882d (patch)
tree0a008b1d5b16fa0679a195ed7b5662c7891f591c /x11-plugins/wmauda
downloaddarklin4-ca9627e70852f6b2e835660df870fe3ab405882d.tar.gz
darklin4-ca9627e70852f6b2e835660df870fe3ab405882d.tar.bz2
darklin4-ca9627e70852f6b2e835660df870fe3ab405882d.tar.xz
darklin4-ca9627e70852f6b2e835660df870fe3ab405882d.zip
Initial import
Diffstat (limited to 'x11-plugins/wmauda')
-rw-r--r--x11-plugins/wmauda/Manifest3
-rw-r--r--x11-plugins/wmauda/files/link-against-missing-libraries.patch22
-rw-r--r--x11-plugins/wmauda/wmauda-0.8.ebuild42
3 files changed, 67 insertions, 0 deletions
diff --git a/x11-plugins/wmauda/Manifest b/x11-plugins/wmauda/Manifest
new file mode 100644
index 0000000..6389a20
--- /dev/null
+++ b/x11-plugins/wmauda/Manifest
@@ -0,0 +1,3 @@
+AUX link-against-missing-libraries.patch 855 SHA256 42622a9aff646ce4c0d701f7f64d21eb105032eed0faf2d17e1288d145b9b12e SHA512 c417bc11173782273b934ad96be16f155062d1d1e7305897fbc8a4b96d01142e58f45c70200cbe75ed2ff8b188c3e99164e1c12be9026facf77d81919a2c2375 WHIRLPOOL 0694db52d948ee9eca6a2fe548d75c09520d78876b940f3f883e0bc381ab95f027f81832cadc0b16f70191c807effc907ea90ba12b146f5d6324b6f1c9f649eb
+DIST wmauda-0.8.tar.gz 18196 SHA256 50a8156a98aedfac3687af9cf0cdd1f2976ec5cfb7887a6612886b0ca1fa767b SHA512 27124a57552b76f52689a1e99d6caf1e76982b6b7513e9a7cd83132d2f8645d2c77acb15048dc6e015af95d97f100f43068167049a56b54057964542c0a691a5 WHIRLPOOL db90a94799b1c94645f3d2947c061ab247938cca630824856a4bf99196648d622179db3380c6654789866424b249cc1184d0d91fe3672c175067f5f813ba7eb0
+EBUILD wmauda-0.8.ebuild 990 SHA256 b012ebc6bfd3962c127b16375d0eaabb1331bc487d1ed6ba780e6d9fbf1d38d8 SHA512 00c62081ef177a117ce457682ec799fa88e4fe87678ae12c435e5e11481b1861e1ebb9753fee42680ae45179d028944bd099c7d79307c4afcb91cad1c7160b06 WHIRLPOOL 121348512addf6c2f48545099d51589471e1bb5dba3862ec08bd8d2b02e94b9c0a0fb7631ff05f447a81399c712e4d9425bde8eaed5934229c20bf4f4f9037e1
diff --git a/x11-plugins/wmauda/files/link-against-missing-libraries.patch b/x11-plugins/wmauda/files/link-against-missing-libraries.patch
new file mode 100644
index 0000000..ec34567
--- /dev/null
+++ b/x11-plugins/wmauda/files/link-against-missing-libraries.patch
@@ -0,0 +1,22 @@
+Description: link against libdbus-glib-1 and libX11
+Author: Sebastian Ramacher <sramacher@debian.org>
+Bug-Debian: http://bugs.debian.org/713481
+Last-Update: 2013-07-19
+
+--- a/Makefile
++++ b/Makefile
+@@ -7,11 +7,11 @@
+ PIXMAP_DIR := $(PREFIX)/share/pixmaps
+ MANPAGE_DIR := $(PREFIX)/share/man/man1
+
+-CFLAGS += $(shell pkg-config audacious --cflags) $(shell pkg-config dbus-1 --cflags)
+-LIBS := $(shell pkg-config audacious --libs) $(shell pkg-config audclient --libs) $(shell pkg-config dbus-1 --libs)
++CFLAGS += $(shell pkg-config dbus-glib-1 --cflags)
++LIBS := $(shell pkg-config audclient --libs) $(shell pkg-config dbus-glib-1 --libs)
+
+ CFLAGS += $(shell pkg-config gtk+-2.0 --cflags)
+-LIBS += $(shell pkg-config gtk+-2.0 --libs)
++LIBS += $(shell pkg-config gtk+-2.0 --libs) -lX11
+
+ OBJS = wmauda.o
+ HEADERS = config.h dock-master.xpm
diff --git a/x11-plugins/wmauda/wmauda-0.8.ebuild b/x11-plugins/wmauda/wmauda-0.8.ebuild
new file mode 100644
index 0000000..f0fbfa9
--- /dev/null
+++ b/x11-plugins/wmauda/wmauda-0.8.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-plugins/wmauda/wmauda-0.7.ebuild,v 1.4 2008/01/15 17:58:26 opfer Exp $
+
+EAPI=2
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Dockable applet for WindowMaker that controls Audacious."
+HOMEPAGE="http://www.netswarm.net"
+SRC_URI="http://www.netswarm.net/misc/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RDEPEND="dev-libs/dbus-glib
+ x11-libs/libX11
+ >=x11-libs/gtk+-2
+ media-libs/libaudclient"
+
+DEPEND="${RDEPEND}
+ x11-proto/xproto
+ dev-util/pkgconfig"
+
+src_unpack() {
+ unpack "${P}.tar.gz" || die "unpacking failed"
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/link-against-missing-libraries.patch || die "patch failed"
+}
+
+src_compile() {
+ tc-export CC
+ emake || die "emake failed."
+}
+
+src_install () {
+ emake DESTDIR="${D}" PREFIX="/usr" install || die "emake install failed."
+ dodoc AUTHORS README
+}